Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class Query.FilterPredicate

    java.lang.Object
      com.google.appengine.api.datastore.Query.FilterPredicate

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Query

    public static final class Query.FilterPredicate

extends java.lang.Object
implements java.io.Serializable

FilterPredicate is a data container that holds a single filter predicate.

See Also:
  Serialized Form

Constructor Summary
`Query.FilterPredicate(java.lang.String propertyName, Query.FilterOperator operator, java.lang.Object value)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Query.FilterOperator` | `getOperator()` Gets the operator describing how to apply the filter.
`java.lang.String` | `getPropertyName()` Gets the name of the property to be filtered on.
`java.lang.Object` | `getValue()` Gets the argument to the filter operator.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query.FilterPredicate

    public Query.FilterPredicate(java.lang.String propertyName,
                                 Query.FilterOperator operator,
                                 java.lang.Object value)

Throws:
  `java.lang.IllegalArgumentException` - If filters of the type of `value` are not supported. See `DataTypeUtils.isSupportedType(Class)`. Note that unlike `Entity.setProperty(String, Object)`, you cannot provide a `Collection` containing instances of supported types to this method.

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Gets the name of the property to be filtered on.

### getOperator

    public Query.FilterOperator getOperator()

  Gets the operator describing how to apply the filter.

### getValue

    public java.lang.Object getValue()

  Gets the argument to the filter operator.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD